/*

  Magia DNI - Calculate the check digit of Spanish identity cards.
  Copyright (C) 2011-2024 Josep Portella Florit <hello@josep-portella.com>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

self.addEventListener('fetch', event =>
    event.respondWith(caches.match(event.request).then(cached =>
        cached !== undefined
            ? cached
            : fetch(event.request).then(fresh => {
                caches.open('v1').then(cache =>
                    cache.put(event.request, fresh))
                return fresh.clone()
            }))))
